
pfSense Packages - Bug #14349

The ClamAV 0.105.1 got a few vulnerabilities

05/05/2023 05:36 AM - Lev Prokofev

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Squid Estimated time: 0.00 hour

Target version:    

Plus Target Version:  Affected Plus

Version:

23.05.1

Affected Version:  Affected

Architecture:

 

Description

Current ClamAV 0.105.1 got a few vulnerabilities:

https://blog.clamav.net/2023/02/clamav-01038-01052-and-101-patch.html

CVE-2023-20032

CVE-2023-20052

The new package version needs to be pulled in, to let users get updated squid.

History

#1 - 07/09/2023 01:56 AM - Kris Phillips

- Status changed from New to Confirmed

- Plus Target Version set to 23.09

- Affected Plus Version set to 23.05.1

pfSense Plus 23.09 has the latest ClamAV 1.1.0, which is not vulnerable:

/usr/local/sbin/clamd --version

ClamAV 1.1.0/26963/Sat Jul  8 07:27:53 2023

pfSense Plus 23.05.1 has 1.0.1, which is affected:

/usr/local/sbin/clamd --version

ClamAV 1.0.1

#2 - 08/22/2023 07:16 PM - Jim Pingle

- Status changed from Confirmed to Closed

- Plus Target Version deleted (23.09)

It's already fixed in dev snaps, it'll come back naturally with the next release.
